from question import Question, SkipQuestionException

class Adjective(Question):
    def __init__(self, name, english, id=None, results=None):
        self.name = name
        self.english = english
        
        Question.__init__(self, id or self.english, results)
        
    def ask_console(self):
        print 'bersetzen Sie: %s' % self.english
        print

        try:
            adjective = raw_input("das Adjektiv: ")
            adjective = adjective.lower().strip()            
            if adjective == '':
                raise SkipQuestionException()
        except SkipQuestionException:
            print 'Die richtige Anwort ist: %s' % (
                        self.name)
            self.mark_wrong()
        else:            
            if self.name != adjective:
                print 'Falsch. Die richtige Anwort ist: %s' % (
                            self.name)
                self.mark_wrong()
            else:
                print 'Richtig!'
                self.mark_right()
                
    def __repr__(self):
        return '<Adjective name=%s english=%s>' % (
            self.name, self.english)
    
    def _from_element(cls, element):
        return Adjective(
            element.GetAttribute("name"),
            element.GetAttribute("english"),
            element.GetAttribute("id") or None)
    from_element = classmethod(_from_element)
    
    def to_element(self, document):
        element = document.CreateElement("adjective")
        element.SetAttribute("name", self.name)
        element.SetAttribute("english", self.english)
        element.SetAttribute("id", self.id)
        
        return element