import clr
clr.AddReferenceByPartialName("System.Drawing")
clr.AddReferenceByPartialName("System.Messaging")
clr.AddReferenceByPartialName("System.Windows.Forms")
clr.AddReferenceByPartialName("System.Xml")
clr.AddReferenceByPartialName("PresentationCore")
clr.AddReferenceByPartialName("PresentationFramework")
clr.AddReferenceByPartialName("WindowsBase")

from System import Environment
from System.Messaging import MessageQueue
from System.Threading import Mutex
from System.Windows import Application

from config import APPLICATION_DIRECTORY
from controlwindow import ControlWindow

MESSAGE_QUEUE_NAME = r".\Private$\myQueue"
def main():
    mutex = Mutex(False, "466e50b5-e58b-4343-9ffc-76ab9ac6b7cd")
    if not mutex.WaitOne(0, True):
        message_queue = MessageQueue(MESSAGE_QUEUE_NAME)
        message_queue.Send(0)
    else:
        try:
            Environment.CurrentDirectory = APPLICATION_DIRECTORY

            app = Application()
            try:
                MessageQueue.Delete(MESSAGE_QUEUE_NAME)
            except:
                pass
            message_queue = MessageQueue.Create(MESSAGE_QUEUE_NAME)
            try:
                control_window = ControlWindow(app, message_queue)
                app.MainWindow = control_window
                app.Run()
            finally:
                MessageQueue.Delete(MESSAGE_QUEUE_NAME)
        finally:
            mutex.ReleaseMutex()

if __name__ == '__main__':
    main()
