from questioner import Questioner
from xaml import load_xaml

class AvalonAdjectiveQuestioner(Questioner):
    def __init__(self):
        self.xaml = load_xaml("adjectivequestioner.xaml")

        self.prompt_text_block = self._find_name("EnglishPromptTextBlock")
        self.prompt_format_text = self.prompt_text_block.Text

        self.adjective_text_box = self._find_name("AdjectiveTextBox")        

        Questioner.__init__(self)
        
    def focus(self):
        self.adjective_text_box.Focus()
        
    def _get_adjective(self): return self.question
    adjective = property(_get_adjective)
    
    def set_question(self, question):
        Questioner.set_question(self, question)
        
        self.prompt_text_block.Text = self.prompt_format_text % \
                                        self.adjective.english

        self.adjective_text_box.Text = ""
        
    def is_correct(self):
        return self.adjective_text_box.Text.strip() == self.adjective.name

    def show_answer(self):
        self.adjective_text_box.Text = self.adjective.name
        
    def _find_name(self, name):
        return self.xaml.FindName(name)