from questioner import Questioner
from xaml import load_xaml

class AvalonVerbQuestioner(Questioner):
    def __init__(self):
        self.xaml = load_xaml("Verbquestioner.xaml")

        self.prompt_text_block = self._find_name("EnglishPromptTextBlock")
        self.prompt_format_text = self.prompt_text_block.Text

        self.infinitive_text_box = self._find_name("InfinitiveTextBox")        

        Questioner.__init__(self)
        
    def focus(self):
        self.infinitive_text_box.Focus()
        
    def _get_verb(self): return self.question
    verb = property(_get_verb)
    
    def set_question(self, question):
        Questioner.set_question(self, question)
        
        self.prompt_text_block.Text = self.prompt_format_text % \
                                        self.verb.english

        self.infinitive_text_box.Text = ""
        
    def is_correct(self):
        return self.infinitive_text_box.Text.strip() == self.verb.infinitive

    def show_answer(self):
        self.infinitive_text_box.Text = self.verb.infinitive
        
    def _find_name(self, name):
        return self.xaml.FindName(name)