from System import Environment
from System.IO import Directory, File, Path
from System.Windows.Forms import Application

RUNNING_FROM_COMMANDLINE = True

if RUNNING_FROM_COMMANDLINE:
    APPLICATION_NAME = "drilltestXXX"
else:
    APPLICATION_NAME = Application.ProductName;

USER_DATA_PATH = Path.Combine(
    Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData),
    APPLICATION_NAME)

if not File.Exists(USER_DATA_PATH):
    Directory.CreateDirectory(USER_DATA_PATH)
       
APPLICATION_DIRECTORY = Path.GetDirectoryName(__file__) 
QUESTIONS_PATH = Path.Combine(APPLICATION_DIRECTORY, "questions.xml")

RESULTS_PATH = Path.Combine(USER_DATA_PATH, "results.xml")
OPTIONS_PATH = Path.Combine(USER_DATA_PATH, "options.xml")