from System import EventArgs
from System.Windows.Forms import Timer

from eventhandlerxxx import EventHandler

class PendingQuestionCounter(object):
    def __init__(self, options):
        self._num_pending_questions = 0
        self.count_changed = EventHandler()

        options.changed += self._on_options_changed        
        self.timer = Timer()
        self.timer.Tick += self._on_tick
        self.timer.Interval = int(options.question_frequency.TotalMilliseconds)
        self.timer.Start();
        
    def _on_options_changed(self, options, e):
        self.timer.Interval = int(options.question_frequency.TotalMilliseconds)
        
    def _get_num_pending_questions(self):
        return self._num_pending_questions
    def _set_num_pending_questions(self, num):
        if num < 0:
            num = 0
        self._num_pending_questions = num
        self.count_changed(self, EventArgs())
        
    num_pending_questions = property(
        _get_num_pending_questions, _set_num_pending_questions)
    
    def _on_tick(self, o, e):
        self.num_pending_questions += 1
