from result import Result

class SkipQuestionException(Exception):
    pass

class Question(object):
    def __init__(self, id, results=None):
        self.id = id
        if results is None:
            self.results = []
        else:
            self.results = results
    
    def mark_wrong(self):
        self.results.append(Result(False))

    def mark_right(self):
        print 'Marking correct!'
        self.results.append(Result(True))
        
    def correctness(self):
        r = 0
        for n, result in enumerate(reversed(self.results)):
            if result.correct:
                r = r + 0.5 ** (n+1)
            else:
                break
        return r
    
    def create_result_association(self, document):
        question_element = document.CreateElement("question")
        question_element.SetAttribute("id", self.id)
        
        for result in self.results:
            question_element.AppendChild(result.to_element(document))
            
        return question_element
            
