from System import DateTime

class Result(object):
    def __init__(self, correct, time=None):
        self.correct = correct
        if time is None:
            self.time = DateTime.Now
        else:
            self.time = time
            
    def __repr__(self):
        return '<Result correct=%s time=%s>' % (
            self.correct, self.time)
    
    def to_element(self, document):
        c = {True : "yes", False : "no"}

        result_element = document.CreateElement("result")
        result_element.SetAttribute("time", self.time.ToString("s"))
        result_element.SetAttribute("correct", c[self.correct])
        
        return result_element

        
    def _from_element(cls, element):
        time = DateTime.Parse(element.GetAttribute("time"))
        correct= element.GetAttribute("correct")
        
        if correct == "yes":
            correct = True
        elif correct == "no":
            correct = False
        else:
            raise Exception("XXX")

        return Result(correct, time)
    from_element = classmethod(_from_element)
    
    def _result_list_from_element(cls, element):
        lst = []
        
        id = element.GetAttribute("id")
        lst = [cls.from_element(e) for e
               in element.GetElementsByTagName("result")]
        return id, lst
    result_list_from_element = classmethod(_result_list_from_element)
                
                