from question import Question, SkipQuestionException

class Verb(Question):
    def __init__(self, infinitive, english, id=None, results=None):
        self.infinitive = infinitive
        self.english = english
        
        Question.__init__(self, id or self.english, results)
        
    def ask_console(self):
        print 'bersetzen Sie: %s' % self.english
        print

        try:
            infinitive = raw_input("der Infinitiv: ")
            infinitive = infinitive.lower().strip()            
            if infinitive == '':
                raise SkipQuestionException()
        except SkipQuestionException:
            print 'Die richtige Anwort ist: %s' % (
                        self.infinitive)
            self.mark_wrong()
        else:            
            if self.infinitive != infinitive:
                print 'Falsch. Die richtige Anwort ist: %s' % (
                            self.infinitive)
                self.mark_wrong()
            else:
                print 'Richtig!'
                self.mark_right()
                
    def __repr__(self):
        return '<Verb infinitive=%s english=%s>' % (
            self.infinitive, self.english)
    
    def _from_element(cls, element):
        return Verb(
            element.GetAttribute("infinitive"),
            element.GetAttribute("english"),
            element.GetAttribute("id") or None)
    from_element = classmethod(_from_element)
    
    def to_element(self, document):
        element = document.CreateElement("verb")
        element.SetAttribute("infinitive", self.infinitive)
        element.SetAttribute("english", self.english)
        element.SetAttribute("id", self.id)
        
        return element