from System import Random

class WeightedSelector(object):
    def __init__(self):
        self.lst = []
        self.max = 0.0
    
    def add(self, item, weight):
        self.max = self.max + weight
        self.lst.append((self.max, item))
    
    def choose(self):
        r = Random()
        v = r.NextDouble() * self.max
        
        for val, item in self.lst:
            if v < val:
                return item
            
    def print_weights(self):
        lst = []
        lastval = 0

        for val, item in self.lst:
            lst.append((val - lastval, item))
            lastval = val
            
        lst.sort()
        for val, item in lst:
            print '%.2f %.2f %0.2f %s' % (val / lastval, val, item.correctness(), item)
            
        